petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSGetTotalSteps

Gets the total number of steps done since the last call to TSSetUp() or TSCreate()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetTotalSteps(TS ts,PetscInt *steps)

Not Collective

### Input Parameter

ts - the TS context

### Output Parameter

steps - the number of steps

### Notes

Includes the number of steps for all calls to TSSolve() since TSSetUp() was called

### Keywords

TS, nonlinear, set, convergence, test

### See Also

TSSetConvergenceTest(), TSConvergedReason

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages